# Available Services

## Cron

To execute a process periodically at a fixed time, date, or at intervals.

Part of the Utilities plugin.

[Learn more](/reference/plugins/utilities/content/cron.md)

***

## Directory Watch

To watch a directory for file changes, creations, renaming and deletions. The Service will call a process or run some logic when the service event occurs.

Part of the File plugin.

[Learn more](/reference/plugins/file/content/directorywatch.md)

***

## Kafka Service

The Kafka Service can be used to connect to Kafka compliant servers (brokers) to receive specific topic-based messages for use in your Linx solution.

Part of the Kafka plugin.

[Learn more](/reference/plugins/kafka/content/consumer.md)

***

## RabbitMQ Service

To listen to a queue on a RabbitMQ server and to trigger an event when a new message arrives.

Part of the RabbitMQ plugin.

[Learn more](/reference/plugins/rabbitmq/content/rabbitmqservice.md)

***

## REST Host

To assemble and publish a REST web service endpoint by implementing its web methods through events. The definition for the web service is imported through a Swagger API description file.

Part of the REST plugin.

[Learn more](/reference/plugins/rest/content/resthost.md)

***

## SignalR Service

Can be used for real-time web functionality that enables apps to instantly push content to clients.

Part of the SignalR plugin.

[Learn more](/reference/plugins/signalr/content/signalr.md)

***

## Simple REST Host

To assemble and publish a REST web service endpoint by implementing its web methods through events.

Part of the REST plugin.

[Learn more](/reference/plugins/rest/content/simpleresthost.md)

***

## Timer

To execute a process at a specified time and interval.

Part of the Utilities plugin.

[Learn more](/reference/plugins/utilities/content/timer.md)

***

## Links

[What are Linx services?](/linx-video-tutorials.md)

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/services/availableservices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
